#include "seq.h"

/* struct to retain the actual alignments */
typedef struct {
        int b1, b2, e1, e2;
        long int fpos;
        int s;
        int f1[5000], f2[5000], t1[5000], t2[5000], id[5000];   
        int nl;
} align, *align_ptr;


/* struct to retain all pairwise alignments between two sequences */
typedef struct {
        FILE *fp;
        char fname[50];
        long int hpos;
        int f1, t1, f2, t2;
        charvec_t h1, h2, d, s1, s2;
        align_ptr crt_al;
} ALIGN, *ALIGN_ptr;

ALIGN* ali_open(const char *fname);
int ali_read(ALIGN *al, long int *hpos);
int ali_crt_read(ALIGN *al, long int *fpos);
int ali_print_coords(ALIGN *al);
void ali_print(FILE *fp, ALIGN *al);
void ali_crt_print(FILE *fp, align *ali_crt);
void ali_zfree(ALIGN *al);
int ali_close(ALIGN *al);
