#!/bin/ksh -ue

export PATH;
PATH="/usr/local/menteric/bin:$PATH"

BUG=${1:?}
DATA=${2:?}
PREFIX=${3:-}

print -2u +make_seq_index "$1" "$2" 

cd $DATA
if [[ -n $PREFIX ]]
then
make_seq_index $BUG -p $PREFIX -d ./ > tmp
sort -n -k 1,1 tmp > seqindex
cat <<! >$BUG.seqindex
#seqindex: prefix $PREFIX
!
else
make_seq_index $BUG -d ./ > tmp
sort -n -k 1,1 tmp > seqindex
cat <<! >$BUG.seqindex
#seqindex:
!
fi

wc -c seqindex >>$BUG.seqindex
wc -c $BUG >>$BUG.seqindex
cat seqindex >> $BUG.seqindex
rm -f tmp seqindex

